
/**
 * \file main.cpp
 * \author Guyet Thomas, AGROCAMPUS-OUEST
 * \version 0.1
 * \date 23 Novembre 2010
 *
 * Module OCI - M2 GL - ISTIC : Correction TP1
 */

#include <gtkmm.h>
#include <iostream>
#include "PluginSystem.h"
#include "Class_Mere.h"

int main(int argc, char **argv)
{
    Gtk::Main app(argc, argv);

	if (!g_module_supported ()) {
		g_warning ("Not supported\n");
		return EXIT_FAILURE;
	}

	PluginSystem _pluginsystem;

	_pluginsystem.LoadPlugins("./plugins");

	const std::list<Class_Mere*> liste = _pluginsystem.getObjects();
	std::list<Class_Mere*>::const_iterator it = liste.begin();
	while( it!=liste.end() ) {
		//Appel de la fonction abstraite :
		std::cout << (*it)->dire_qqc() << std::endl;
		it++;
	}

    return EXIT_SUCCESS;
}
